import { Injectable } from '@angular/core';
import * as wjcCore from 'wijmo/wijmo';

@Injectable()
export class DataService {

  getData(count: number): any[] {
    const data = [],
      countries = this.getCountries(),
      products = this.getProducts();
    for (let i = 0; i < 500; i++) {
      data.push({
        id: i,
        country: countries[i % countries.length],
        product: products[i % products.length],
        sales: Math.random() * 10000,
        expenses: Math.random() * 5000,
        discount: Math.round(Math.random() * 100) / 100,
        overdue: (i + 1) % 4 === 0
      });
    }
    return data;
  }

  getCountries() {
    return 'US,Canada,Mexico,Germany,UK,Sweden,Norway,Denmark,Japan,China,Korea'.split(',');
  }
  getProducts() {
    return 'Phones,Cars,Skates,Shirts,Helmets'.split(',');
  }

}
