import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { WjCoreModule } from 'wijmo/wijmo.angular2.core';
import { WjOlapModule } from 'wijmo/wijmo.angular2.olap';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { DataService } from './data.service';

import { AppComponent } from './app.component';


@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    WjCoreModule,
    WjOlapModule,
    WjGridModule
  ],
  providers: [
    DataService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
